octave-optim (1.6.0-1) experimental; urgency=medium

  * New upstream version 1.6.0
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 17 Apr 2019 17:24:04 -0300

octave-optim (1.5.3-2) unstable; urgency=medium

  * d/control:
    + Build-depend on texlive
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:14 -0200

octave-optim (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3
  * d/copyright: Refresh for new upstream release
  * d//reproducible-nlinfit-unit-test.patch: Drop patch (applied upstream)
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.0

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 11 Aug 2018 07:50:31 -0300

octave-optim (1.5.2-5) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Sébastien Villemot ]
  * Add dependency on octave-statistics
    optim uses tinv() in polyconf() and exprnd() in the tests for nlinfit().
    These two functions are no longer in Octave core since 4.4, and have moved
    to the statistics package.
    + depends-on-statistics.patch: new patch
    + d/control: add B-D on octave-statistics

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 12 Jun 2018 20:30:54 +0200

octave-optim (1.5.2-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:36:59 -0200

octave-optim (1.5.2-3) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:21 -0200

octave-optim (1.5.2-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/control:
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Bump Standards-Version to 4.1.0 (no changes needed)
    + Add Testsuite field
  * d/p/reproducible-nlinfit-unit-test.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 26 Sep 2017 12:31:44 -0300

octave-optim (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * d/copyright: reflect upstream changes.
  * Bump debhelper compat level to 10.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 07 Oct 2016 17:14:33 +0200

octave-optim (1.5.1-1) unstable; urgency=medium

  * Imported Upstream version 1.5.1
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 03 May 2016 17:46:01 +0200

octave-optim (1.5.0-1) unstable; urgency=medium

  * Imported Upstream version 1.5.0
  * d/copyright: Reflect upstream changes
  * d/p/add-info-dir.patch: Refresh for the new upstream version
  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.7 (no changes needed)
    + Add octave-struct to Build-Depends
  * Drop HowTo documentation (removed upstream)
  * d/rules: Ensure that info file is built

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 21 Mar 2016 10:13:47 +0100

octave-optim (1.4.1-2) unstable; urgency=medium

  * d/octave-optim.doc-base:
    + Add author and abstract fields
    + Add format paragraph for the info file
  * Remove lyx from Suggests.
    The PDF file built from the LyX source of the Mini-HowTo is now
    shipped with the package. (Closes: #807784)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Wed, 16 Dec 2015 10:32:32 +0100

octave-optim (1.4.1-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.4.1
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * d/p/texinfo5.patch: Drop patch (applied upstream)
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 31 Jul 2015 11:14:32 +0200

octave-optim (1.4.0-1) unstable; urgency=medium

  * Imported Upstream version 1.4.0
  * debian/copyright: reflect upstream changes.
  * Remove obsolete lintian overrides.
  * texinfo5.patch: new patch, fixes doc build failure with Texinfo 5.
  * Ship HTML documentation and register it into doc-base.
  * Handle new info documentation.
    - install it under /usr/share/info rather than package directory.
    - info-file-path.patch: indicate the new path to optim_doc().
    - add-info-dir.patch: add @direntry and @dircategory to the info file.
  * Remove Thomas Weber from Uploaders, add Rafael Laboissiere.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Aug 2014 19:11:43 +0200

octave-optim (1.3.1-1) unstable; urgency=medium

  * Imported Upstream version 1.3.1

 -- Thomas Weber <tweber@debian.org>  Mon, 02 Jun 2014 17:01:22 +0200

octave-optim (1.3.0-1) unstable; urgency=medium

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed
  * Imported Upstream version 1.3.0
  * Refresh patch autoload-yes.patch for new upstream release
  * Drop Lintian override for hardening-no-fortify-functions

 -- Thomas Weber <tweber@debian.org>  Fri, 21 Feb 2014 16:41:22 +0100

octave-optim (1.2.2-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 May 2013 15:11:28 +0200

octave-optim (1.2.2-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.2
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Nov 2012 12:20:22 +0100

octave-optim (1.2.1-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.1

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 17 Sep 2012 12:33:48 +0200

octave-optim (1.2.0-1) unstable; urgency=low

  * New upstream release 1.2.0
  * Help Launchpad along, the current package should register its files
    properly (LP: #662336)
  * Similarly, current Octave version ship fminbnd.m (LP: #890895)

 -- Thomas Weber <tweber@debian.org>  Tue, 12 Jun 2012 21:41:32 +0200

octave-optim (1.1.0-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 1.1.0
  * autoload-yes.patch: new patch
  * debian/copyright: reflect upstream changes
  * Add Lintian overrides for false positives on hardening flags

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 27 May 2012 21:48:01 +0200

octave-optim (1.0.17-2) unstable; urgency=low

  * Bump to debhelper compat level 9
  * Bump to Standards-Version 3.9.3, no changes needed
  * Build-depend on octave-pkg-dev >= 1.0.0, to build against Octave 3.6
    (Closes: #661123)
  * debian/copyright: update to machine-readable format 1.0
  * Remove Iulian Udrea from Uploaders, with his consent

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 12 Mar 2012 19:19:48 +0100

octave-optim (1.0.17-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 1.0.17
  * Bump to debhelper compat level 8
  * Bump to Standards-Version 3.9.2, no changes needed
  * Add myself to Uploaders
  * debian/copyright: reflect upstream changes, update to latest DEP5
  * debian/patches/pdfsources.diff: remove obsolete patch
  * debian/octave-optim.docs: include graphics that come with the documentation
  * debian/control: suggest lyx (for reading the documentation)
  * debian/rules: do not compress LyX and associated EPS files

 -- Thomas Weber <tweber@debian.org>  Sat, 03 Dec 2011 16:46:43 +0100

octave-optim (1.0.16-1) unstable; urgency=low

  [ Iulian Udrea ]
  * New upstream release.
  * debian/control:
    - Add Iulian Udrea <iulian@linux.com> to Uploaders.
    - Bump Standards-Version to 3.9.1; no changes required.

 -- Thomas Weber <tweber@debian.org>  Sat, 23 Apr 2011 15:36:52 +0200

octave-optim (1.0.12-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571916)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.8.4, no changes necessary
  * Dropped patches (applied upstream):
    - remove_fzero

 -- Thomas Weber <tweber@debian.org>  Sat, 15 May 2010 00:54:06 +0200

octave-optim (1.0.6-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * New patch: remove_fzero: Remove fzero.m, it is included in Octave 3.2 and
    uses removed functions (fsolve_options)
  * Use debian/octave-optim.docs for installation of documentation

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 31 Dec 2009 00:05:05 +0100

octave-optim (1.0.5-1) unstable; urgency=low

  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (add file debian/README.source)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/patches/pdfsources.diff: Add description
  * debian/rules: Removed unneeded documentation source files, which get
    wrongly installed in /usr/share/doc

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 18:32:47 +0200

octave-optim (1.0.4-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable
  * debian/control, debian/rules: Add quilt support. The already included
    patch pdfsources.diff is thus really used.
  * debian/rules: Remove code for removing upstream's .svn directories. The
    new tarballs are clean

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 08 Apr 2009 23:04:45 +0200

octave-optim (1.0.4-1) experimental; urgency=low

  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 12 Dec 2008 01:00:55 +0100

octave-optim (1.0.3-3) unstable; urgency=low

  * debian/copyright: Add reference to GFDL file in
    /usr/share/common-licenses/
  * Reuploaded to unstable, for NEW queue processing (again, closes:
    #468515)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Jun 2008 10:24:12 +0200

octave-optim (1.0.3-2) unstable; urgency=low

  * debian/copyright: Add licensing conditions for doc/mintoolkit.lyx and
    doc/optim-mini-howto-2.lyx (finally, closes: #468515)
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 11 Jun 2008 16:25:09 +0200

octave-optim (1.0.3-1) unstable; urgency=low

  * The source files mintoolkit.lyx, mintoolkit.tex, and
    optim-mini-howto-2.tex of the PDF documentation distributed with the
    package are now included in the upstream tarball.  This makes the
    package DFSG-compliant (really, closes: #468515)
  * debian/rules: Remove extraneous .svn directory installed in
   /usr/share/doc

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 May 2008 15:49:57 +0000

octave-optim (1.0.2-1) unstable; urgency=low

  * Initial release (closes: #468515)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sun, 17 Feb 2008 16:33:34 +0100
